Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.vss
Class MSVSSGET

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.Task
                  |
                  +--org.apache.tools.ant.taskdefs.optional.vss.MSVSS
                        |
                        +--org.apache.tools.ant.taskdefs.optional.vss.MSVSSGET

All Implemented Interfaces:
  MSVSSConstants

public class MSVSSGET
extends MSVSS

Perform Get commands from Microsoft Visual SourceSafe.

Nested Class Summary

Nested classes inherited from class org.apache.tools.ant.taskdefs.optional.vss.MSVSS
`MSVSS.CurrentModUpdated, MSVSS.WritableFiles`

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Fields inherited from interface org.apache.tools.ant.taskdefs.optional.vss.MSVSSConstants
`COMMAND_ADD, COMMAND_CHECKIN, COMMAND_CHECKOUT, COMMAND_CP, COMMAND_CREATE, COMMAND_GET, COMMAND_HISTORY, COMMAND_LABEL, FLAG_AUTORESPONSE_DEF, FLAG_AUTORESPONSE_NO, FLAG_AUTORESPONSE_YES, FLAG_BRIEF, FLAG_CODEDIFF, FLAG_COMMENT, FLAG_FILETIME_DEF, FLAG_FILETIME_MODIFIED, FLAG_FILETIME_UPDATED, FLAG_LABEL, FLAG_LOGIN, FLAG_NO_FILE, FLAG_NO_GET, FLAG_OUTPUT, FLAG_OVERRIDE_WORKING_DIR, FLAG_QUIET, FLAG_RECURSION, FLAG_REPLACE_WRITABLE, FLAG_SKIP_WRITABLE, FLAG_USER, FLAG_VERSION, FLAG_VERSION_DATE, FLAG_VERSION_LABEL, FLAG_WRITABLE, PROJECT_PREFIX, SS_EXE, STYLE_BRIEF, STYLE_CODEDIFF, STYLE_DEFAULT, STYLE_NOFILE, TIME_CURRENT, TIME_MODIFIED, TIME_UPDATED, VALUE_FROMDATE, VALUE_FROMLABEL, VALUE_NO, VALUE_YES, WRITABLE_FAIL, WRITABLE_REPLACE, WRITABLE_SKIP`

Constructor Summary
`MSVSSGET()`

Method Summary
`void` | `setAutoresponse(java.lang.String response)` Autoresponce behaviour.
`void` | `setDate(java.lang.String date)` Date to get.
`void` | `setFileTimeStamp(MSVSS.CurrentModUpdated timestamp)` Date and time stamp given to the local copy.
`void` | `setLabel(java.lang.String label)` Label to get.
`void` | `setLocalpath(Path localPath)` Override the project working directory.
`void` | `setQuiet(boolean quiet)` Enable quiet mode.
`void` | `setRecursive(boolean recursive)` Get files recursively.
`void` | `setVersion(java.lang.String version)` Version to get.
`void` | `setWritable(boolean writable)` Unset the READ-ONLY flag on files retrieved from VSS.
`void` | `setWritableFiles(MSVSS.WritableFiles files)` Action taken when local files are writable.

Methods inherited from class org.apache.tools.ant.taskdefs.optional.vss.MSVSS
`execute, getAutoresponse, getComment, getFileTimeStamp, getGetLocalCopy, getLabel, getLocalpath, getLogin, getOutput, getQuiet, getRecursive, getSSCommand, getStyle, getUser, getVersion, getVersionDate, getVersionDateLabel, getVersionLabel, getVsspath, getWritable, getWritableFiles, setFailOnError, setInternalAutoResponse, setInternalComment, setInternalDate, setInternalDateFormat, setInternalFailOnError, setInternalFileTimeStamp, setInternalFromDate, setInternalFromLabel, setInternalGetLocalCopy, setInternalLabel, setInternalLocalPath, setInternalNumDays, setInternalOutputFilename, setInternalQuiet, setInternalRecursive, setInternalStyle, setInternalToDate, setInternalToLabel, setInternalUser, setInternalVersion, setInternalWritable, setInternalWritableFiles, setLogin, setServerpath, setSsdir, setVsspath`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MSVSSGET

    public MSVSSGET()

Method Detail

### setLocalpath

    public void setLocalpath(Path localPath)

  Override the project working directory.

  Parameters:
    `localPath` - The path on disk.

### setRecursive

    public final void setRecursive(boolean recursive)

  Get files recursively. Defaults to false.

  Parameters:
    `recursive` - The boolean value for recursive.

### setQuiet

    public final void setQuiet(boolean quiet)

  Enable quiet mode. Defaults to false.

  Parameters:
    `quiet` - The boolean value for quiet.

### setWritable

    public final void setWritable(boolean writable)

  Unset the READ-ONLY flag on files retrieved from VSS. Defaults to false.

  Parameters:
    `writable` - The boolean value for writable.

### setVersion

    public void setVersion(java.lang.String version)

  Version to get.

  Parameters:
    `version` - The version to get.

### setDate

    public void setDate(java.lang.String date)

  Date to get.

  Parameters:
    `date` - The date to get.

### setLabel

    public void setLabel(java.lang.String label)

  Label to get.

  Parameters:
    `label` - The label to get.

### setAutoresponse

    public void setAutoresponse(java.lang.String response)

  Autoresponce behaviour. Valid options are Y and N.

  Parameters:
    `response` - The auto response value.

### setFileTimeStamp

    public void setFileTimeStamp(MSVSS.CurrentModUpdated timestamp)

  Date and time stamp given to the local copy. Defaults to `current`.

  Parameters:
    `timestamp` - The file time stamping behaviour.

### setWritableFiles

    public void setWritableFiles(MSVSS.WritableFiles files)

  Action taken when local files are writable. Defaults to `fail`.

  Due to ss.exe returning with an exit code of '100' for both errors and when a file has been skipped, `failonerror` is set to false when using the `skip` option.

  Parameters:
    `files` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.